Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 1747183002: Check that RWHI isn't deleted manually while owned by a scoped_ptr in RVHI (Closed)

Created:
2 years, 11 months ago by gzobqq
Modified:
2 years, 11 months ago
Reviewers:
Avi (use Gerrit), nasko
CC:
chromium-reviews, darin-cc_chromium.org, jam
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Check that RWHI isn't deleted manually while owned by a scoped_ptr in RVHI BUG=590284 Committed: https://crrev.com/e5787005a9004d7be289cc649c6ae4f3051996cd Cr-Commit-Position: refs/heads/master@{#378844}

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -1 line) Patch
M content/browser/renderer_host/render_widget_host_impl.cc View 1 chunk +3 lines, -1 line 2 comments Download

Messages

Total messages: 14 (6 generated)
gzobqq
nasko, PTAL
2 years, 11 months ago (2016-03-01 08:44:41 UTC) #3
nasko
https://codereview.chromium.org/1747183002/diff/1/content/browser/renderer_host/render_widget_host_impl.cc File content/browser/renderer_host/render_widget_host_impl.cc (right): https://codereview.chromium.org/1747183002/diff/1/content/browser/renderer_host/render_widget_host_impl.cc#newcode1473 content/browser/renderer_host/render_widget_host_impl.cc:1473: CHECK(!owner_delegate_); Is the goal of this to help us ...
2 years, 11 months ago (2016-03-01 17:13:44 UTC) #4
gzobqq
https://codereview.chromium.org/1747183002/diff/1/content/browser/renderer_host/render_widget_host_impl.cc File content/browser/renderer_host/render_widget_host_impl.cc (right): https://codereview.chromium.org/1747183002/diff/1/content/browser/renderer_host/render_widget_host_impl.cc#newcode1473 content/browser/renderer_host/render_widget_host_impl.cc:1473: CHECK(!owner_delegate_); On 2016/03/01 17:13:43, nasko wrote: > Is the ...
2 years, 11 months ago (2016-03-01 18:30:13 UTC) #5
nasko
avi@ did all the work for refactoring RWH/RVH, so adding him to confirm it make ...
2 years, 11 months ago (2016-03-01 22:47:48 UTC) #7
Avi (use Gerrit)
lgtm Yep, this makes sense, and it is worth the paranoia.
2 years, 11 months ago (2016-03-02 17:23:07 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1747183002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1747183002/1
2 years, 11 months ago (2016-03-02 20:34:13 UTC) #10
commit-bot: I haz the power
Committed patchset #1 (id:1)
2 years, 11 months ago (2016-03-02 21:50:26 UTC) #12
commit-bot: I haz the power
2 years, 11 months ago (2016-03-02 21:52:51 UTC) #14
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/e5787005a9004d7be289cc649c6ae4f3051996cd
Cr-Commit-Position: refs/heads/master@{#378844}

Powered by Google App Engine
This is Rietveld 408576698